import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * Display a dialog that allows the user to specify a signature image, either by using a signature-font-generated image
 * based on their full name, or by hand-drawing their signature with a mouse or tablet.
 */
export declare class VerdocsAdoptSignatureDialog {
    private signatureElement?;
    private initialsElement?;
    private sigDrawingContext?;
    private initialsDrawingContext?;
    /**
     * Initial signature text
     */
    name: string;
    /**
     * Fired when the user completes the dialog and clicks Adopt. The event detail will contain a base64-encoded string
     * representation of the signature adopted.
     */
    next: EventEmitter<{
        signature: string;
        initials: string;
    }>;
    /**
     * Event fired when the step is cancelled. This is called exit to avoid conflicts with the JS-reserved "cancel" event name.
     */
    exit: EventEmitter;
    fontLoaded: boolean;
    enteredName: string;
    enteredInitials: string;
    mode: 'type' | 'draw';
    isDrawing: boolean;
    hasDrawnSignature: boolean;
    private currentSigStroke;
    private allSigStrokes;
    private lastSigPoint;
    private currentInitialsStroke;
    private allInitialsStrokes;
    private lastInitialsPoint;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    drawSignatureText(): void;
    drawInitialsText(): void;
    redrawDrawnSignature(): void;
    redrawDrawnInitials(): void;
    handleNameChange(e: any): void;
    computeEnteredInitials(name: string): void;
    handleCancel(e: any): void;
    handleAdopt(e: any): void;
    isAdoptButtonDisabled(): boolean;
    setupSignatureCanvas(): void;
    setupInitialsCanvas(): void;
    clearSignatureCanvas(): void;
    clearInitialsCanvas(): void;
    handleClearDrawing(e: any): void;
    getSigCanvasCoordinates(e: PointerEvent): {
        x: number;
        y: number;
    };
    getInitialsCanvasCoordinates(e: PointerEvent): {
        x: number;
        y: number;
    };
    handleSigPointerDown: (e: PointerEvent) => void;
    handleSigPointerMove: (e: PointerEvent) => void;
    handleSigPointerUp: (e: PointerEvent) => void;
    handleSigPointerCancel: (e: PointerEvent) => void;
    handleInitialsPointerDown: (e: PointerEvent) => void;
    handleInitialsPointerMove: (e: PointerEvent) => void;
    handleInitialsPointerUp: (e: PointerEvent) => void;
    handleInitialsPointerCancel: (e: PointerEvent) => void;
    render(): any;
}
